Bug 178846 - intel i810 hangs on shutdown / exit X on 6.8.2-37.FC4.49.2
Summary: intel i810 hangs on shutdown / exit X on 6.8.2-37.FC4.49.2
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11   
(Show other bugs)
Version: 4
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-01-24 19:39 UTC by Frank DiPrete
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: FC5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-27 16:46:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
test 1 logs (14.81 KB, application/x-gzip)
2006-01-30 16:42 UTC, Frank DiPrete
no flags Details
test 2 logs (14.80 KB, application/x-gzip)
2006-01-30 16:43 UTC, Frank DiPrete
no flags Details
test 3 logs (14.64 KB, application/x-gzip)
2006-01-30 16:44 UTC, Frank DiPrete
no flags Details
test 4 logs (14.52 KB, application/x-gzip)
2006-01-30 16:44 UTC, Frank DiPrete
no flags Details
install logs (16.68 KB, application/x-gzip)
2006-01-30 16:45 UTC, Frank DiPrete
no flags Details
yum update log (2.83 KB, application/x-gzip)
2006-01-30 16:46 UTC, Frank DiPrete
no flags Details

Description Frank DiPrete 2006-01-24 19:39:52 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:

Using 6.8.2-37.FC4.49.2 on an i180 the system hangs trying to exit X / shutdown.
Hangs with a big blue screen and IO lockup.


Version-Release number of selected component (if applicable):
6.8.2-37.FC4.49.2

How reproducible:
Always

Steps to Reproduce:
1.start FC4 runlevel 5
2.try to exit
3.
  

Actual Results:  Hangs with a big blue screen and IO lockup.

Expected Results:  exit / shutdown

Additional info:

Tried original xorg version - same result
checked perms for dri
tried every combination of using / not using drm

Cannot shut the machine down.
Went back to FC3 and everything works.

Comment 1 Mike A. Harris 2006-01-27 23:33:10 UTC
Attach your FC4 X server log and config file using the link below.

Comment 2 Frank DiPrete 2006-01-28 13:52:54 UTC
Sorry, didn't dave the xorg log fom FC4 as I installed FC3 

Comment 3 Mike A. Harris 2006-01-28 23:32:18 UTC
The FC4 config file and log from the problematic installation are required 
in order to diagnose the problem.  Once we have that information, we can
begin to troubleshoot the problem, however we may also need you to test
some things and provide feedback.  In order to do that however, you'll need
to have FC4 installed during the diagnosis phase.

If you are unable to provide this information, or to keep FC4 installed,
please update the report to let us know.

Comment 4 Frank DiPrete 2006-01-30 16:42:52 UTC
Created attachment 123868 [details]
test 1 logs

Comment 5 Frank DiPrete 2006-01-30 16:43:37 UTC
Created attachment 123869 [details]
test 2 logs

Comment 6 Frank DiPrete 2006-01-30 16:44:23 UTC
Created attachment 123870 [details]
test 3 logs

Comment 7 Frank DiPrete 2006-01-30 16:44:50 UTC
Created attachment 123871 [details]
test 4 logs

Comment 8 Frank DiPrete 2006-01-30 16:45:21 UTC
Created attachment 123872 [details]
install logs

Comment 9 Frank DiPrete 2006-01-30 16:46:01 UTC
Created attachment 123874 [details]
yum update log

Comment 10 Frank DiPrete 2006-01-30 16:51:56 UTC
I put a HD in the nachine to generate the above tests. A fresh install of FC4
did not present the same behavior as an upgrade from FC3.

test 1 and test 2
fc4 2.6.11-1.1369 xorg-6.8.2-31-nodrm.tar.gz no drm and with drm respectively.
Machine started and shut down but with a blank screen during shutdown and no
keyboard control - but it did shut down

test 3 and test 4
fc4 2.6.14-1.1656 xorg-6.8.2-37.FC4.49.2 no drm and with drm respectively.
Machine started and shut down without a problem




Comment 11 Mike A. Harris 2006-06-27 16:46:46 UTC
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "CURRENTRELEASE".


Note You need to log in before you can comment on or make changes to this bug.